Subject: Bug#3951: kernel-image-2.0.7-0 postinst looks for /bin/perl

From: Graham Williams <[email-masked]>
Date: Thu, 8 Aug 1996 09:29:31 +1000 (EST)

Frank Neumann wrote to Graham Williams on 08 Aug 1996 03:11:32 +1000:

    Graham> My vanilla installation of Debian 1.1 seems to have perl
    Graham> only in /usr/bin/perl.

    Frank> I noticed this too, after having built a base.tar.gz for
    Frank> Debian on m68k.  The bug is not in kernel-headers, but in
    Frank> boot-floppies, which failed to create the link for the base
    Frank> system. boot-floppies-1.1.1.10 fixed it.  The bug report
    Frank> should be closed (I won't do that, I'm not the maintainer
    Frank> ;-), but a new base should probably be built.

Thanks for the information.  Checking the various Debian and Dpkg
documentation seems to imply that all scripts should refer to
/usr/bin/perl rather than /bin/perl.  Not sure if it rates as a bug
though if the scripts of a package don't.

Cheers